Bug 48285 - 3c509 ethernet card driver fails to initialize 3c509B properly from cold boot.
3c509 ethernet card driver fails to initialize 3c509B properly from cold boot.
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2001-07-09 22:44 EDT by Bruce Bigby
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:39:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bruce Bigby 2001-07-09 22:44:03 EDT
Description of Problem:

When I boot my 2.4.3 SMP kernel, the 3c509 driver fails to detect my 3c509B ethernet card and thus, the dhcpd daemon fails to start.  This did not happen on my RH Linux 6.1 system w/kernel 2.2.17 SMP.  The 3c509 module always loaded properly, even from a cold boot.  To get things to work, I log into Windows, perform a warm boot (CTRL-ALT-DELETE) and then boot into Linux.  The driver then detects my 3c509B.  However, after that, as long as I don't power down or perform a hard reset, Linux is able to bring the eth0 down and up with no problem.  The problem only occurs when I perform a cold boot or a hardware reset. 
I have a Tyan Tomcat 3 SMP motherboard with Dual P5-200 Mhz chips, an 3c509B Ethernet card, and 224 MB of RAM.

How Reproducible:
Every time.

Steps to Reproduce:
1. Shutdown the system and power off and on the machine, or perform a hardware reset. 
2. Boot into Linux 2.4.3 or 2.4.2 -- either one will produce the problem.

Actual Results:
The 3c509 driver does not detect my 3c509B Ethernet Card.

Expected Results:
The 3c509 module should detect my 3c509B and launch dhcpd.

Additional Information:
Comment 1 Need Real Name 2001-08-29 18:18:44 EDT
I have a similar problem, Will not work if plugged into a 100 MB port, however 
when I plug it into a 10 MB port, it works!!!!

What can be done to fix this??
Comment 2 Bugzilla owner 2004-09-30 11:39:04 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.